from typing import Any
from typing import List
from typing import Set
from typing import Tuple

from . import *


class MeshSequenceCacheModifier(Modifier):
    
    cache_file: CacheFile
    
    has_velocity: bool
    
    # Path to the object in the Alembic archive used to lookup geometric data
    object_path: str
    
    # Data to read from the cache
    read_data: Set[str] # {'COLOR}', 'POLY', 'UV', 'default {VERT', 'VERT'}
    
    read_velocity: bool
    
    # Allow interpolation of vertex positions
    use_vertex_interpolation: bool
    
    # Multiplier used to control the magnitude of the velocity vectors for time effects
    velocity_scale: float
    
    # Vertices of the fluid mesh generated by simulation
    vertex_velocities: List[MeshCacheVertexVelocity]

    @classmethod
    def bl_rna_get_subclass(cls, *args, **kwargs) -> Struct:
        ...

    @classmethod
    def bl_rna_get_subclass_py(cls, *args, **kwargs) -> Any:
        ...